Package owl.ltl.visitors

## Interface BinaryVisitor<P,R>

-     public interface BinaryVisitor<P,R>

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default R` | `visit​(Biconditional biconditional, P parameter)` |
    `default R` | `visit​(BooleanConstant booleanConstant, P parameter)` |
    `default R` | `visit​(Conjunction conjunction, P parameter)` |
    `default R` | `visit​(Disjunction disjunction, P parameter)` |
    `default R` | `visit​(FOperator fOperator, P parameter)` |
    `default R` | `visit​(GOperator gOperator, P parameter)` |
    `default R` | `visit​(Literal literal, P parameter)` |
    `default R` | `visit​(MOperator mOperator, P parameter)` |
    `default R` | `visit​(ROperator rOperator, P parameter)` |
    `default R` | `visit​(UOperator uOperator, P parameter)` |
    `default R` | `visit​(WOperator wOperator, P parameter)` |
    `default R` | `visit​(XOperator xOperator, P parameter)` |

- - ### Method Detail

    - #### visit

          default R visit​(Biconditional biconditional,
                          P parameter)

    - #### visit

          default R visit​(BooleanConstant booleanConstant,
                          P parameter)

    - #### visit

          default R visit​(Conjunction conjunction,
                          P parameter)

    - #### visit

          default R visit​(Disjunction disjunction,
                          P parameter)

    - #### visit

          default R visit​(FOperator fOperator,
                          P parameter)

    - #### visit

          default R visit​(GOperator gOperator,
                          P parameter)

    - #### visit

          default R visit​(Literal literal,
                          P parameter)

    - #### visit

          default R visit​(MOperator mOperator,
                          P parameter)

    - #### visit

          default R visit​(UOperator uOperator,
                          P parameter)

    - #### visit

          default R visit​(ROperator rOperator,
                          P parameter)

    - #### visit

          default R visit​(WOperator wOperator,
                          P parameter)

    - #### visit

          default R visit​(XOperator xOperator,
                          P parameter)